"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var _=Object.create;var s=Object.defineProperty;var m=Object.getOwnPropertyDescriptor;var h=Object.getOwnPropertyNames;var b=Object.getPrototypeOf,y=Object.prototype.hasOwnProperty;var v=(o,e)=>()=>(e||o((e={exports:{}}).exports,e),e.exports);var S=(o,e,t,i)=>{if(e&&typeof e=="object"||typeof e=="function")for(let n of h(e))!y.call(o,n)&&n!==t&&s(o,n,{get:()=>e[n],enumerable:!(i=m(e,n))||i.enumerable});return o};var u=(o,e,t)=>(t=o!=null?_(b(o)):{},S(e||!o||!o.__esModule?s(t,"default",{value:o,enumerable:!0}):t,o));var l=v((A,d)=>{d.exports=Vue});var B=u(l());function g(o,e,...t){uni.__log__?uni.__log__(o,e,...t):console[o].apply(console,[...t,e])}var f=(o,e)=>{let t=o.__vccOpts||o;for(let[i,n]of e)t[i]=n;return t};var p=u(l()),w={"popup-container":{"":{flex:1,justifyContent:"center",alignItems:"center",paddingLeft:52,paddingRight:52}},"popup-content":{"":{borderRadius:"24rpx",backgroundColor:"#ffffff",width:"540rpx"}},"popup-title":{"":{color:"#333333",fontWeight:"600",fontSize:17,lineHeight:24,paddingTop:18,paddingRight:0,paddingBottom:0,paddingLeft:0,textAlign:"center"}},"popup-desc":{"":{flex:1,color:"#666666",fontSize:"26rpx",lineHeight:"36rpx",textAlign:"center",paddingTop:"24rpx",paddingRight:"40rpx",paddingBottom:"24rpx",paddingLeft:"40rpx"}},actions:{"":{height:45,borderTopWidth:"1rpx",borderTopStyle:"solid",borderTopColor:"#e9e9e9",flexDirection:"row",alignItems:"center"}},cancel:{"":{flex:1,fontSize:"34rpx",fontFamily:"PingFangSC, PingFang SC",lineHeight:"48rpx",paddingTop:"20rpx",paddingRight:"20rpx",paddingBottom:"20rpx",paddingLeft:"20rpx",textAlign:"center",color:"#333333"}},confirm:{"":{flex:1,fontSize:"34rpx",fontFamily:"PingFangSC, PingFang SC",lineHeight:"48rpx",paddingTop:"20rpx",paddingRight:"20rpx",paddingBottom:"20rpx",paddingLeft:"20rpx",textAlign:"center",borderLeftWidth:"1rpx",borderLeftStyle:"solid",borderLeftColor:"#e9e9e9",color:"#fe2442",fontWeight:"500"}}},C={__name:"popup",setup(o){let e=(0,p.ref)({}),t;uni.$on("uni-confirm-popup-piazza",r=>i(r)),uni.$on("uni-confirm-popup-my",r=>i(r));let i=r=>{g("log","at components/uni-confirm-popup/popup.nvue:28","\u{1F680} ~ uni.$on ~ data:",r),t=uni.getSubNVueById(`uni-confirm-popup-${r.subNvueId}`),e.value=r,t.show("auto",300)},n=()=>{t.hide()},x=()=>{n(),uni.$emit(`confirm-${e.value.subNvueId}`,e.value)};return(r,L)=>((0,p.openBlock)(),(0,p.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,p.createElementVNode)("view",{class:"popup-container"},[(0,p.createElementVNode)("view",{class:"popup-content"},[(0,p.createElementVNode)("view",{class:"main"},[(0,p.createElementVNode)("u-text",{class:"popup-title"},"\u6E29\u99A8\u63D0\u793A "),(0,p.createElementVNode)("u-text",{class:"popup-desc"},(0,p.toDisplayString)(e.value.desc),1)]),(0,p.createElementVNode)("view",{class:"actions"},[(0,p.createElementVNode)("u-text",{class:"cancel",onClick:n},"\u53D6\u6D88"),(0,p.createElementVNode)("u-text",{class:"confirm",onClick:x},"\u786E\u5B9A")])])])]))}},c=f(C,[["styles",[w]]]);var a=plus.webview.currentWebview();if(a){let o=parseInt(a.id),e="components/uni-confirm-popup/popup",t={};try{t=JSON.parse(a.__query__)}catch(n){}c.mpType="page";let i=Vue.createPageApp(c,{$store:getApp({allowDefault:!0}).$store,__pageId:o,__pagePath:e,__pageQuery:t});i.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...c.styles||[]])),i.mount("#root")}})();
